/*
 * Copyright (c) 2016-present, lovebing.net.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

package org.lovebing.reactnative.baidumap.uimanager;

import com.facebook.react.uimanager.ThemedReactContext;
import com.facebook.react.uimanager.ViewGroupManager;
import com.facebook.react.uimanager.annotations.ReactProp;

import org.lovebing.reactnative.baidumap.view.OverlayMarkerIcon;

import android.util.Log;
import android.view.View;

import androidx.annotation.NonNull;

/**
 * @author lovebing
 * @date 2020-06-07
 */
public class OverlayMarkerIconManager extends ViewGroupManager<OverlayMarkerIcon> {

    @NonNull
    @Override
    public String getName() {
        return "BaiduMapOverlayMarkerIcon";
    }

    @NonNull
    @Override
    protected OverlayMarkerIcon createViewInstance(@NonNull ThemedReactContext reactContext) {
        return new OverlayMarkerIcon(reactContext);
    }

    @Override
    public void addView(OverlayMarkerIcon parent, View child, int index) {
        Log.i("ICONMarker addView", parent.hashCode() + ":" + child.getClass().getName() + ":" + child.hashCode());
        super.addView(parent, child, index);
    }

    @ReactProp(name = "width")
    public void setWidth(OverlayMarkerIcon overlayInfoWindow, int width) {
        overlayInfoWindow.setWidth(width);
    }

    @ReactProp(name = "height")
    public void setHeight(OverlayMarkerIcon overlayInfoWindow, int height) {
        overlayInfoWindow.setHeight(height);
    }

}
