/*
 * Copyright (c) 2016-present, lovebing.net.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

package org.lovebing.reactnative.baidumap.view;

import com.baidu.mapapi.map.BitmapDescriptor;
import com.facebook.react.views.view.ReactViewGroup;

import org.lovebing.reactnative.baidumap.util.BitmapUtil;

import android.content.Context;
import android.view.View;

/**
 * @author lovebing
 * @date 2020-06-07
 */
public class OverlayMarkerIcon extends ReactViewGroup {

    public OverlayMarkerIcon(Context context) {
        super(context);
    }

    private int width;
    private int height;



    public void setHeight(int height) {
        this.height = height;
    }

    public void setWidth(int width) {
        this.width = width;
    }


    public BitmapDescriptor getBitmapDescriptor() {
        requestLayout();
        return BitmapUtil.createBitmapDescriptor(this, width, height);
    }

    @Override
    public void requestLayout() {
        super.requestLayout();
        post(measureAndLayout);
    }

    private final Runnable measureAndLayout = new Runnable() {
        @Override
        public void run() {
            measure(
                    View.MeasureSpec.makeMeasureSpec(getWidth(), View.MeasureSpec.EXACTLY),
                    View.MeasureSpec.makeMeasureSpec(getHeight(), View.MeasureSpec.EXACTLY));
            layout(getLeft(), getTop(), getRight(), getBottom());
        }
    };
}
